/*
 * $Id: FragmentPool.as,v 1.1.1.1 2007/08/19 01:14:45 kenta Exp $
 *
 * Copyright 2007 Kenta Cho. Some rights reserved.
 */
package abagames.lbr {
  import flash.display.BitmapData;
  import org.cove.ape.Group;
  import abagames.util.Actor;
  import abagames.util.ActorPool;

  /**
   * Fragment pool.
   */
  public class FragmentPool extends ActorPool {
    private var buffer:BitmapData;
    private var field:Field;
    private var group:Group;

    public function FragmentPool(n:int, buffer:BitmapData, field:Field, group:Group) {
      this.buffer = buffer;
      this.field = field;
      this.group = group;
      super(n);
    }

    protected override function createActor():Actor {
      return new Fragment(buffer, field, group);
    }
  }
}
