/*
 * $Id: FloorPool.as,v 1.1.1.1 2007/08/19 01:14:45 kenta Exp $
 *
 * Copyright 2007 Kenta Cho. Some rights reserved.
 */
package abagames.lbr {
  import flash.display.BitmapData;
  import org.cove.ape.Group;
  import abagames.util.Actor;
  import abagames.util.ActorPool;
  import abagames.util.Vector;

  /**
   * Floor pool.
   */
  public class FloorPool extends ActorPool {
    private var buffer:BitmapData;
    private var field:Field;
    private var cords:CordPool;
    private var group:Group;

    public function FloorPool(n:int, buffer:BitmapData, field:Field, cords:CordPool, group:Group) {
      this.buffer = buffer;
      this.field = field;
      this.cords = cords;
      this.group = group;
      super(n);
    }

    protected override function createActor():Actor {
      return new Floor(buffer, field, cords, group);
    }
  }
}
