/*
 * $Id: ParticlePool.as,v 1.1.1.1 2007/08/19 01:14:45 kenta Exp $
 *
 * Copyright 2007 Kenta Cho. Some rights reserved.
 */
package abagames.lbr {
  import flash.display.BitmapData;
  import abagames.util.Actor;
  import abagames.util.ActorPool;

  /**
   * Particle pool.
   */
  public class ParticlePool extends ActorPool {
    private var buffer:BitmapData;
    private var field:Field;

    public function ParticlePool(n:int, buffer:BitmapData, field:Field) {
      this.buffer = buffer;
      this.field = field;
      super(n);
    }

    protected override function createActor():Actor {
      return new Particle(buffer, field);
    }
  }
}
